Skip to main content

suix_getStakesByIds

POST

Return one or more [DelegatedStake]. If a Stake was withdrawn its status will be Unstaked.
param[0]
stakedSuiIdsarrayrequired
Array of staked SUI IDs
Responses
jsonrpcstring
idinteger
stakesarrayrequired
stakingPoolobjectrequired
validatorAddressobjectrequired
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "suix_getStakesByIds",
"params": [
[
"0x378423de90ed03b694cecf443c72b5387b29a731d26d98108d7abc4902107d7d",
"0x6a8e0f8fea6fda5488462e58724c034462b6064a08845e2ae2942fe7c4ee816d"
]
]
}'